"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const CloseSVG_1 = tslib_1.__importDefault(require("./CloseSVG"));
function Toaster(props) {
    const { icon: Icon, message, onCloseToaster } = props;
    return (React.createElement("div", { className: 'cio-share-results-notification' },
        React.createElement(Icon, null),
        React.createElement("div", null, message),
        React.createElement(CloseSVG_1.default, { className: 'cio-toaster-close-button', onClick: () => onCloseToaster() })));
}
exports.default = Toaster;
