"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const useQuizBackClick = (quizApiState, dispatchLocalState) => {
    const quizBackClickHandler = (0, react_1.useCallback)(() => {
        if (dispatchLocalState) {
            dispatchLocalState({ type: actions_1.QuestionTypes.Back, payload: quizApiState.quizCurrentQuestion });
        }
    }, [dispatchLocalState, quizApiState.quizCurrentQuestion]);
    return quizBackClickHandler;
};
exports.default = useQuizBackClick;
