import React from 'react';
function CTAButton(props) {
    const { propsGetters, ctaText = 'Continue', disabled, className = 'cio-button-container', ...rest } = props;
    return (React.createElement("div", { className: `${className || ''}` },
        propsGetters && (
        // eslint-disable-next-line react/button-has-type
        React.createElement("button", { ...rest, ...propsGetters() }, ctaText || 'Continue')),
        React.createElement("span", { id: 'next-button-help', style: { display: 'none' } }, "Fill required fields to enable the button.")));
}
export default CTAButton;
