import * as React from 'react';
import CloseSVG from './CloseSVG';
export default function Toaster(props) {
    const { icon: Icon, message, onCloseToaster } = props;
    return (React.createElement("div", { className: 'cio-share-results-notification' },
        React.createElement(Icon, null),
        React.createElement("div", null, message),
        React.createElement(CloseSVG, { className: 'cio-toaster-close-button', onClick: () => onCloseToaster() })));
}
