"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
function CTAButton(props) {
    const { propsGetters, ctaText = 'Continue', disabled, className = 'cio-button-container' } = props, rest = tslib_1.__rest(props, ["propsGetters", "ctaText", "disabled", "className"]);
    return (react_1.default.createElement("div", { className: `${className || ''}` },
        propsGetters && (
        // eslint-disable-next-line react/button-has-type
        react_1.default.createElement("button", Object.assign({}, rest, propsGetters()), ctaText || 'Continue')),
        react_1.default.createElement("span", { id: 'next-button-help', style: { display: 'none' } }, "Fill required fields to enable the button.")));
}
exports.default = CTAButton;
