export declare const argTypes: {
    quizId: {
        description: string;
        control: {
            type: string;
        };
    };
    quizVersionId: {
        description: string;
    };
    apiKey: {
        description: string;
    };
    'callbacks.onQuizNextQuestion': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'callbacks.onQuizResultsLoaded': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'callbacks.onQuizResultClick': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'callbacks.onAddToCartClick': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'callbacks.onAddToFavoritesClick': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'callbacks.onEmailResults': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    cioJsClient: {
        description: string;
    };
    primaryColor: {
        description: string;
        control: {
            type: string;
        };
        defaultValue: {
            summary: string;
        };
    };
    'resultCardOptions.resultCardRegularPriceKey': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultCardOptions.resultCardSalePriceKey': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultCardOptions.resultCardRatingCountKey': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultCardOptions.resultCardRatingScoreKey': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultCardOptions.renderResultCardPriceDetails': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
                detail: string;
            };
        };
    };
    'resultsPageOptions.numResultsToDisplay': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: number;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultsPageOptions.favoriteItems': {
        description: string;
        control: boolean;
        table: {
            subcategory: string;
            type: {
                summary: string;
            };
        };
    };
    'resultsPageOptions.showShareResultsButton': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: boolean;
            };
            type: {
                summary: string;
            };
        };
    };
    'resultsPageOptions.requestConfigs': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            type: {
                summary: string;
            };
        };
    };
    'sessionStateOptions.showSessionModal': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: boolean;
            };
            type: {
                summary: string;
            };
        };
    };
    'sessionStateOptions.showSessionModalOnResults': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: boolean;
            };
            type: {
                summary: string;
            };
        };
    };
    'sessionStateOptions.sessionStateKey': {
        description: string;
        control: {
            type: string;
        };
        table: {
            subcategory: string;
            defaultValue: {
                summary: string;
            };
            type: {
                summary: string;
            };
        };
    };
    enableHydration: {
        description: string;
        defaultValue: {
            summary: string;
        };
    };
};
export declare const docsControls: {
    sort: string;
    exclude: string[];
};
export declare const storiesControls: {
    include: string[];
};
